## ros-one-ur30-moveit-config 1.5.0-0noble.20250513.2307

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ur30_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/moveit_planning_execution.xml)
endif()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-ur30-moveit-config (1.5.0-0noble.20250513.2307) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Vincenzo Di Pentima <dipentima@fzi.de>  Tue, 13 May 2025 23:07:41 +0000

ros-one-ur30-moveit-config (1.5.0-0noble) noble; urgency=high

  * Add License files to packages (#695 <https://github.com/ros-industrial/universal_robot/issues/695>)
  * Contributors: Felix Exner

 -- Vincenzo Di Pentima <dipentima@fzi.de>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur30-moveit-config (1.4.0-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 31 Mar 2025 00:00:00 -0000

ros-one-ur30-moveit-config (1.3.3-0noble) noble; urgency=high

  * UR30 description and meshes (#674 <https://github.com/ros-industrial/universal_robot/issues/674>)
  * Contributors: Vincenzo Di Pentima

 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur30-moveit-config (1.3.2-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur30-moveit-config (1.3.1-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Fri, 11 Nov 2022 00:00:00 -0000

ros-one-ur30-moveit-config (1.3.0-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Thu, 10 Nov 2022 00:00:00 -0000

ros-one-ur30-moveit-config (1.2.5-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Fri, 05 Apr 2019 00:00:00 -0000

ros-one-ur30-moveit-config (1.2.1-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-ur30-moveit-config (1.2.0-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Fri, 04 Aug 2017 00:00:00 -0000

ros-one-ur30-moveit-config (1.1.9-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 02 Jan 2017 00:00:00 -0000

ros-one-ur30-moveit-config (1.1.8-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-ur30-moveit-config (1.1.7-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ur30-moveit-config (1.1.6-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Fri, 01 Apr 2016 00:00:00 -0000

ros-one-ur30-moveit-config (1.1.5-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 03 Nov 2014 00:00:00 -0000

ros-one-ur30-moveit-config (1.0.4-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Thu, 04 Sep 2014 00:00:00 -0000

ros-one-ur30-moveit-config (1.0.3-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 25 Aug 2014 00:00:00 -0000

ros-one-ur30-moveit-config (1.0.2-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 31 Mar 2014 15:55:00 -0000

ros-one-ur30-moveit-config (1.0.1-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 31 Mar 2014 11:03:00 -0000

ros-one-ur30-moveit-config (1.0.0-0noble) noble; urgency=high



 -- Vincenzo Di Pentima <dipentima@fzi.de>  Mon, 24 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-ur30-moveit-config
Section: misc
Priority: optional
Maintainer: Vincenzo Di Pentima <dipentima@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-one-ur30-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-joint-state-publisher, ros-one-joint-state-publisher-gui, ros-one-moveit-fake-controller-manager, ros-one-moveit-planners-ompl, ros-one-moveit-ros-benchmarks, ros-one-moveit-ros-move-group, ros-one-moveit-ros-visualization, ros-one-moveit-ros-warehouse, ros-one-moveit-setup-assistant, ros-one-moveit-simple-controller-manager, ros-one-robot-state-publisher, ros-one-rviz, ros-one-tf2-ros, ros-one-trac-ik-kinematics-plugin, ros-one-ur-description, ros-one-warehouse-ros-mongo, ros-one-xacro
Description: An automatically generated package with all the configuration and launch files for using the ur30 with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ur30-moveit-config//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
